/* 	EntryImplTest.java
 *	Copyright (c) 2009, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: Sep 14, 2009
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package test.org.brains2b.collection;

import junit.framework.TestCase;
import org.brains2b.collection.MapEntry;

public class MapEntryTest extends TestCase {

	public void testEqualsObject() {
		MapEntry e = new MapEntry("A","Abacus");
		MapEntry ey = new MapEntry("A","Abacadabra");
		assertEquals(e, ey);
		assertTrue(e.equals(ey));
		assertEquals(e, "A");
		assertTrue(e.equals("A"));
		assertFalse(e.equals(null));
		
		MapEntry en = new MapEntry("C","Corius");
		assertFalse(e.equals(en));
		
		en = new MapEntry();
		assertFalse(e.equals(en));
		assertFalse(en.equals(e));
	}

	public void testSet() {
		MapEntry e = new MapEntry();
		assertNull(e.getKey());
		assertNull(e.getValue());
		e.setKey("B");
		assertEquals("B", e.getKey());
		e.setValue("Barabas");
		assertEquals("Barabas", e.getValue());
		e.setKey("A");
		assertEquals("A", e.getKey());
		e.setValue("Abacus");
		assertEquals("Abacus", e.getValue());
		
	}

}
