/* 	DateHelperFrTest.java
 *	Copyright (c) 2005, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: 20-okt-2005
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package test.org.brains2b.util;

import java.util.Calendar;
import java.util.Locale;

import org.brains2b.util.DateHelper;

import junit.framework.TestCase;

public class DateHelperFrTest extends TestCase {
    
    public DateHelperFrTest(String name) {
        super(name);
    }
    /*
     * Test method for 'org.brains2b.util.DateHelper.fromDate(Date)'
     */
    public void testFromDate() {
        Locale.setDefault(Locale.FRENCH);
        Calendar cal= Calendar.getInstance();
        cal.set(1998,3,9);
        
        String s=DateHelper.fromDate(cal.getTime());
        assertEquals("09-avr.-1998",s);
    }

    /*
     * Test method for 'org.brains2b.util.DateHelper.toDate(String)'
     */
    public void testToDate() {
        Locale.setDefault(Locale.FRENCH);
        String s="09-avr.-1998";
        Calendar cal= Calendar.getInstance();
        cal.clear();
        cal.set(1998,3,9);
        
        assertEquals(cal.getTime(),DateHelper.toDate(s));
    }
    
     public void testToDate2() {
        Locale.setDefault(Locale.FRENCH);
        String s="09-juin-1998";
        Calendar cal= Calendar.getInstance();
        cal.clear();
        cal.set(1998,5,9);
        
        assertEquals(cal.getTime(),DateHelper.toDate(s));
    }

}
