/* 	JavaHelperTest.java
 *	Copyright (c) 2004, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: 26-nov-2004
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package test.org.brains2b.util;

import org.brains2b.util.JavaHelper;

import junit.framework.TestCase;
import junit.swingui.TestRunner;

/** [Short description]
 *  [Long description]
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version [version] [lastrevisiondate]
 */
public class JavaHelperTest extends TestCase {

    /**
     * @param arg0
     */
    public JavaHelperTest(String arg0) {
        super(arg0);
    }

    public static void main(String[] arguments) {
		TestRunner.run(JavaHelperTest.class);
	}
    
    public void testMemberName() {
    	assertEquals("m_foo",JavaHelper.memberName(" foo "));
    	assertEquals("m_kungFoo",JavaHelper.memberName("kung foo"));
    	assertEquals("m_kungFooCom",JavaHelper.memberName("Kung Foo_com"));
    	try {
    		JavaHelper.memberName(null);
    		assertTrue(false);
    	} catch (NullPointerException npex) {
    		assertTrue(true);
    	}
    }

    public void testObjectName() {
    	assertEquals("Foo",JavaHelper.objectName(" foo "));
    	assertEquals("KungFoo",JavaHelper.objectName("kung foo"));
    	assertEquals("KungFooCom",JavaHelper.objectName("Kung Foo_com"));
    	try {
    		JavaHelper.objectName(null);
    		assertTrue(false);
    	} catch (NullPointerException npex) {
    		assertTrue(true);
    	}
    }

    public void testSingleName() {
    	assertEquals("Foo",JavaHelper.singleName("foos"));
    	assertEquals("Memory",JavaHelper.singleName("memories"));
    	assertEquals("KungFoo",JavaHelper.singleName("kung_foo"));
    	try {
    		JavaHelper.singleName(null);
    		assertTrue(true);
    	} catch (NullPointerException npex) {
    		assertTrue(true);
    	}
    }

    public void testVariableName() {
    	assertEquals("foo",JavaHelper.variableName(" foo "));
    	assertEquals("kungFoo",JavaHelper.variableName("kung foo"));
    	assertEquals("kungFooCom",JavaHelper.variableName("Kung Foo_com"));
        assertEquals("foo1",JavaHelper.variableName(" foo#1"));
    	try {
    		JavaHelper.memberName(null);
    		assertTrue(false);
    	} catch (NullPointerException npex) {
    		assertTrue(true);
    	}
    }

}
